using FluentValidation;

namespace NetinaShop.Repository.Handlers.Warehouses.Validators;

public class UpdateShippingCommandValidator : AbstractValidator<UpdateShippingCommand>
{
    public UpdateShippingCommandValidator()
    {
        RuleFor(d => d.Name)
            .NotNull()
            .NotEmpty()
            .WithMessage("نام روش ارسال مورد نظر را وارد کنید");

        RuleFor(d => d.WarehouseName)
            .NotNull()
            .NotEmpty()
            .WithMessage("انبار ارسال مورد نظر را وارد کنید");

        RuleFor(d => d.DeliveryCost)
            .GreaterThan(0)
            .WithMessage("هزینه روش ارسال مورد نظر را وارد کنید");
    }
}